Skip to main content
POST
/
webhooks
curl -X POST "https://kodostatus.com/api/v1/webhooks" \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Incident Alerts",
    "url": "https://example.com/webhook",
    "events": ["incident.created", "incident.updated", "incident.resolved"],
    "secret": "whsec_..."
  }'
{
  "webhook": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "Incident Alerts",
    "url": "https://example.com/webhook",
    "events": ["incident.created", "incident.updated", "incident.resolved"],
    "is_active": true,
    "headers": {},
    "secret": "whsec_...",
    "created_at": "2026-02-20T08:00:00.000Z",
    "updated_at": "2026-02-20T08:00:00.000Z"
  }
}

Body Parameters

name
string
required
Webhook name
url
string
required
Endpoint URL
events
array
Events to subscribe to:
  • incident.created
  • incident.updated
  • incident.resolved
  • service.status_changed
  • monitor.down
  • monitor.recovered
headers
object
Custom headers to include with webhook requests
secret
string
Signing secret for HMAC verification. Auto-generated if not provided.

Response

Returns the created webhook object including the secret.
curl -X POST "https://kodostatus.com/api/v1/webhooks" \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Incident Alerts",
    "url": "https://example.com/webhook",
    "events": ["incident.created", "incident.updated", "incident.resolved"],
    "secret": "whsec_..."
  }'
{
  "webhook": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "Incident Alerts",
    "url": "https://example.com/webhook",
    "events": ["incident.created", "incident.updated", "incident.resolved"],
    "is_active": true,
    "headers": {},
    "secret": "whsec_...",
    "created_at": "2026-02-20T08:00:00.000Z",
    "updated_at": "2026-02-20T08:00:00.000Z"
  }
}